OpenSceneGraph Forum Forum Index OpenSceneGraph Forum
Official forum which mirrors the existent OSG mailing lists. Messages posted here are forwarded to the mailing list and vice versa.
 
   FAQFAQ    SearchSearch    MemberlistMemberlist    RulesRules    UsergroupsUsergroups    RegisterRegister 
 Mail2Forum SettingsMail2Forum Settings  ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 
   AlbumAlbum  OpenSceneGraph IRC ChatOpenSceneGraph IRC Chat   SmartFeedSmartFeed 

Conflict between osg-3.0.1 and UI


 
Post new topic   Reply to topic    OpenSceneGraph Forum Forum Index -> General
View previous topic :: View next topic  
Author Message
ceranco (Eran Cohen)
Newbie


Joined: 15 Dec 2017
Posts: 10

PostPosted: Wed Mar 28, 2018 7:56 am    Post subject:
Conflict between osg-3.0.1 and UI
Reply with quote

Hi,

We have a program with a UI that is built in WPF and WinForms and runs on Windows 7.
We have another library that uses OSG-3.0.1 that we are trying to integrate into our program. This library uses OSG to render a picture to the screen (using osgViewer).

Our program can run either from the UI or from the command line without the UI.

When we try to use the library in our program while using the UI, we get the following error:
Quote:
Warning: Windows Error #170 : [Screen 0]
GraphicsWindowWin32::makeCurrentImplementation() - Unable to set current OpenGL rendering context.
Reason: The requested resource is in use.

and we get a black picture rendered to the screen.
But if we run it from the command line without the UI everything works as expected.

We have tried finding packages in our UI that use OSG, but we haven't found any.
If anyone has encountered a similar situation before or has any idea in what direction we should look to solve this problem, it would be greatly appreciated.

Thank you!

Cheers,
Eran
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    OpenSceneGraph Forum Forum Index -> General All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum

Similar Topics
Topic Author Forum Replies Posted
No new posts Conflict between OSG and Qt robertosfield Plugins [osgPlugins] 0 Thu Mar 15, 2018 4:24 pm View latest post
No new posts [Solved] Conflict between OSG and Qt jmirabel Plugins [osgPlugins] 3 Mon Mar 21, 2016 9:08 am View latest post
No new posts Conflict between current osg trunk 3.... crubel@compro.net Build system [build] 4 Tue Apr 28, 2015 3:28 pm View latest post
No new posts File comment blocks conflict with OSG... David Fries General 2 Wed May 22, 2013 2:33 pm View latest post
No new posts osgEphemeris conflict with overlayNode? wybbzcwj General 0 Tue Apr 03, 2012 8:39 am View latest post


Board Security Anti Bot Question MOD - phpBB MOD against Spam Bots
Powered by phpBB © 2001, 2005 phpBB Group
Protected by Anti-Spam ACP